Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.plugin
[Java] Interface GroovyRunner

    public interface GroovyRunner

Classes which can run scripts should implement this interface.

Method Summary
`boolean` | `canRun(java.lang.Class scriptClass, GroovyClassLoader loader)`
`java.lang.Object` | `run(java.lang.Class scriptClass, GroovyClassLoader loader)`

Method Detail

### canRun

    public boolean canRun(java.lang.Class scriptClass, GroovyClassLoader loader)

### run

    public java.lang.Object run(java.lang.Class scriptClass, GroovyClassLoader loader)

Groovy Documentation